$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.24.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.24.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '66D21510DB0535FC225AF8933F333DEA8620652ECAFC225418E38D3ADF96B740'
  checksumType = 'sha256'
  checksum64 = '66D21510DB0535FC225AF8933F333DEA8620652ECAFC225418E38D3ADF96B740'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.24-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
